from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComSpField(UltmarcTable):
    """レイアウト区分511: COM_専門分野"""
    dcf_pcf_dr_cd: str 			    # DCFPCF医師コード
    dcf_dr_id: str                  # レコードID
    dcf_dr_code: str                # 個人コード
    dcf_dr_yobi: str                # 個人コード(予備)
    maint_flag: str                 # 修正区分
    specialist_cd: str 				# 専門医コード
    specialist_maint_div: str 		# 予備／専門医メンテ区分
    specialist_flg: str 			# 専門医フラグ
    specialist_publsh_ymd: str 		# 専門医掲載年月日
    ackn_med_flg: str 				# 認定医フラグ
    ackn_med_publsh_ymd: str 		# 認定医掲載年月日
    guide_med_flg: str 				# 指導医フラグ
    guide_med_publsh_ymd: str 		# 指導医掲載年月日

# メンテナンス年月日 と　予備／転送年月日　は未使用

    def __init__(self, record: list[str]):
        super().__init__(record)

        self.dcf_dr_id = record[1].strip()
        self.dcf_dr_code = record[2].strip()
        self.dcf_dr_yobi = record[3].strip()
        self.maint_flag = record[4].strip()
        self.specialist_cd = record[5].strip()
        self.specialist_maint_div = record[6].strip()

        self.specialist_flg = record[9].strip()
        self.specialist_publsh_ymd = record[10].strip()

        self.ackn_med_flg = record[11].strip()
        self.ackn_med_publsh_ymd = record[12].strip()

        self.guide_med_flg = record[13].strip()
        self.guide_med_publsh_ymd = record[14].strip()

        # DCFPCF医師コード(レコードID + 個人コード + 個人コード(予備))
        self.dcf_pcf_dr_cd = ''.join([self.dcf_dr_id, self.dcf_dr_code, self.dcf_dr_yobi])
